graphics/gdk-pixbuf2-xlib - The NetBSD Packages Collection

Image loaders for gtk2 (X11 support)

  GdkPixbuf is a new GNOME library designed to solve part of Imlib's
design limitations that make it hard to write efficient and highly
modular applications.  The GdkPixbuf library provides a basic,
reference counted structure called GdkPixbuf.  This structure points
to a block of image data, has fields that describe the format of the
image data, and also contains a reference count.  The library also
provides a simple mechanism for loading images from files, and a more
sophisticated mechanism for loading images progressively from
arbitrary buffers.  It also provides utility functions to transform
pixbufs and render them to GDK drawables.

The GdkPixBuf library provides a number of features:
	* Image loading facilities.
	* Rendering of a GdkPixBuf into various formats:
	  drawables (windows, pixmaps), GdkRGB buffers.

This is the gtk 2 version of gdk-pixbuf.  It got
included natively in gtk2+ and was split out again in revision 2.22.

Build dependencies

pkgtools/x11-links devel/gobject-introspection pkgtools/cwrappers devel/gobject-introspection devel/meson lang/python38 devel/glib2-tools devel/pkgconf

Runtime dependencies

databases/shared-mime-info graphics/gdk-pixbuf2 devel/glib2 devel/glib2 graphics/png graphics/jpeg graphics/tiff databases/shared-mime-info graphics/gdk-pixbuf2 devel/glib2 graphics/png graphics/jpeg graphics/tiff

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0earmv7hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0earmv7hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0i386gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0i386gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0i386gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0powerpcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0powerpcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0powerpcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 8.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0aarch64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0aarch64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0aarch64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0alphagdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0alphagdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0alphagdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv6hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0earmv7hfgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0i386gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0i386gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0m68kgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0mips64ebgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0mips64ebgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0mips64ebgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0mipselgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0powerpcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0powerpcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sh3elgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sh3elgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sparc64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sparc64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sparc64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sparcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sparcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0sparcgdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz
NetBSD 9.0x86_64gdk-pixbuf2-xlib-2.40.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.